Home | All Classes | Grouped Classes | Index | Search

# Class CL_Size

2D (width,height) size structure. More...

Derived from: none
Derived by: none
Group: Core (Math)

#include <ClanLib/core.h>

Construction:

CL_Size | Constructs a size structure.

Attributes:

width | Size width.
height | Size height.

Operations:

operator += | Size += Size operator.
operator -= | Size -= Size operator.
operator + | Size + Size operator.
operator - | Size - Size operator.
operator == | Size == Size operator (deep compare).
operator != | Size != Size operator (deep compare).

Detailed description:

!group=Core/Math! !header=core.h!
Questions or comments, write to the ClanLib mailing list.